%define major   1
%define libname %mklibname tcod %{major}
%define devname %mklibname tcod -d

Name:           libtcod
Version:        1.24.0
Release:        %mkrel 1
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries
License:        BSD
URL:            https://github.com/libtcod/libtcod
Source0:        https://github.com/libtcod/libtcod/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         libtcod-1.15.1-autotools.patch
Patch1:         0001-Fix-erroneous-examples-of-SDL2-header-includes.patch

BuildRequires:  pkgconfig(sdl2)
#BuildRequires:  pkgconfig(libutf8proc)
BuildRequires:  pkgconfig(zlib)

Provides:       bundled(libutf8proc)
Provides:       bundled(lodepng)

%description
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries

%description -n %{libname}
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

%files -n       %{libname}
%{_libdir}/%{name}*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries for %{name}.

%files -n       %{devname}
%doc CHANGELOG.md
%license LIBTCOD-CREDITS.txt LICENSE.txt
%{_includedir}/%{name}.h*
%{_includedir}/%{name}/
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

rm -rf src/vendor/zlib

%build
%global optflags %{optflags} -Wno-incompatible-pointer-types
cd buildsys/autotools
autoreconf -vfi
%configure
%make_build

%install
cd buildsys/autotools
%make_install

find %{buildroot}%{_libdir} -name "*.la" -delete -o -name "*.a" -delete


%changelog
* Fri May 17 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2064563
- new version: 1.24.0

* Fri Apr 01 2022 umeabot <umeabot> 1.15.1-2.mga9
+ Revision: 1838908
- Mageia 9 Mass Rebuild

* Wed Nov 04 2020 akien <akien> 1.15.1-1.mga8
+ Revision: 1642523
- Version 1.15.1

* Thu Feb 13 2020 umeabot <umeabot> 1.6.6-4.mga8
+ Revision: 1514709
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6.6-3.mga7
+ Revision: 1299179
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 wally <wally> 1.6.6-2.mga7
+ Revision: 1237881
- add upstream patch to include console_rexpaint.h to devel pkg

* Mon May 14 2018 akien <akien> 1.6.6-1.mga7
+ Revision: 1229397
- Version 1.6.6

* Thu Mar 02 2017 akien <akien> 1.6.3-1.mga6
+ Revision: 1088506
- Version 1.6.3

* Fri Dec 30 2016 akien <akien> 1.6.2-1.mga6
+ Revision: 1078652
- Version 1.6.2

* Sat Oct 29 2016 akien <akien> 1.6.1-1.mga6
+ Revision: 1063923
- Version 1.6.1

* Tue Feb 09 2016 umeabot <umeabot> 1.5.2-0.20140203.2.mga6
+ Revision: 950973
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 akien <akien> 1.5.2-0.20140203.1.mga5
+ Revision: 799566
- Unbundle zlib
- imported package libtcod

